#
# spec file for package gltt (Version 2.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf freetype gpp gppshare libgpp mesa mesa-devel mesaglut mesaglut-devel mesasoft xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mesa mesa-devel mesaglut mesaglut-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         gltt
Copyright:    GPL
Group:        Development/Libraries
Provides:     gltt 
Autoreqprov:  on
Version:      2.5
Release:      315
Summary:      Library for TrueType with OpenGL applications
URL:          http://gltt.sourceforge.net
Source: gltt-2.5.tar.gz
Patch: gltt-2.5-autoconf.patch
Patch2: gltt-2.5-ia64.patch
Patch3: gltt-2.5-gcc3.dif
BuildRoot:    /var/tmp/%{name}-build

%description
gltt is a library that allows you to read and draw TrueType fonts in
any OpenGL application.
It supports bitmapped and anti-aliased font drawing as well as
vectorized and polygonized drawing.

Authors:
--------
    Stephane Rehel <rehel@worldnet.fr>

SuSE series: gra

%prep
%setup
%patch
%patch2
%patch3
rm aclocal.m4 

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr
make

%install
rm -rf "$RPM_BUILD_ROOT"
make prefix=$RPM_BUILD_ROOT/usr install
make prefix=$RPM_BUILD_ROOT/usr install-demos
cd $RPM_BUILD_ROOT/usr/bin
for i in * ;do
  mv $i gltt_$i
done

%clean
rm -rf "$RPM_BUILD_ROOT"
 

%files
/usr/bin/*
/usr/lib/libgltt.*
/usr/include/gltt
%doc BUGS INSTALL NEWS README TODO VERSION

%changelog -n gltt
* Wed Aug 22 2001 - uli@suse.de
- fixed for gcc 3
* Wed Jun 27 2001 - nadvornik@suse.cz
- fixed to compile on ia64
* Wed Jun 13 2001 - nadvornik@suse.cz
- fixed to compile with new autoconf
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Thu Nov 09 2000 - nadvornik@suse.cz
- added url
* Thu Jun 01 2000 - nadvornik@suse.cz
- added demos
* Mon May 22 2000 - nadvornik@suse.cz
- added mesadev to neededforbuild
* Thu Apr 27 2000 - nadvornik@suse.cz
- changed Group tag
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Wed Apr 05 2000 - nadvornik@suse.cz
- added BuildRoot
* Wed Jan 19 2000 - ro@suse.de
- update to 2.5
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 28 1999 - ro@suse.de
- update to 2.4
* Tue Jun 15 1999 - ro@suse.de
- added mesasoft to neededforbuild
* Tue Jul 07 1998 - ro@suse.de
- update to 2.2
* Wed May 06 1998 - ro@suse.de
- created initial package version 2.0
